Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs
Class FileSystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.vfs.FileSystemException

All Implemented Interfaces:
  Serializable

public class FileSystemException
extends IOException

Thrown for file system errors.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch
See Also:
  Serialized Form

Constructor Summary
`FileSystemException(String code)` Constructs exception with the specified detail message.
`FileSystemException(String code, Object info0)` Constructs exception with the specified detail message.
`FileSystemException(String code, Object[] info)` Constructs exception with the specified detail message.
`FileSystemException(String code, Object[] info, Throwable throwable)` Constructs exception with the specified detail message.
`FileSystemException(String code, Object info0, Throwable throwable)` Constructs exception with the specified detail message.
`FileSystemException(String code, Throwable throwable)` Constructs exception with the specified detail message.
`FileSystemException(Throwable throwable)` Constructs wrapper exception.

Method Summary
`Throwable` | `getCause()` Retrieve root cause of the exception.
`String` | `getCode()` Retrieve error code of the exception.
`String[]` | `getInfo()` Retrieve array of complementary info (context).
`String` | `getMessage()` retrieve message from bundle

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileSystemException

    public FileSystemException(String code)

  Constructs exception with the specified detail message.

Parameters:
  `code` - the error code of the message.

### FileSystemException

    public FileSystemException(String code,
                               Object info0)

  Constructs exception with the specified detail message.

Parameters:
  `code` - the error code of the message.
  `info0` - one context information.

### FileSystemException

    public FileSystemException(String code,
                               Object info0,
                               Throwable throwable)

  Constructs exception with the specified detail message.

Parameters:
  `code` - the error code of the message.
  `info0` - one context information.
  `throwable` - the cause.

### FileSystemException

    public FileSystemException(String code,
                               Object[] info)

  Constructs exception with the specified detail message.

Parameters:
  `code` - the error code of the message.
  `info` - array of complementary info (context).

### FileSystemException

    public FileSystemException(String code,
                               Throwable throwable)

  Constructs exception with the specified detail message.

Parameters:
  `code` - the error code of the message.

### FileSystemException

    public FileSystemException(String code,
                               Object[] info,
                               Throwable throwable)

  Constructs exception with the specified detail message.

Parameters:
  `code` - the error code of the message.
  `info` - array of complementary info (context).
  `throwable` - the cause.

### FileSystemException

    public FileSystemException(Throwable throwable)

  Constructs wrapper exception.

Parameters:
  `throwable` - the root cause to wrap.

Method Detail

### getMessage

    public String getMessage()

  retrieve message from bundle

### getCause

    public final Throwable getCause()

  Retrieve root cause of the exception.

  Returns:
    the root cause

### getCode

    public String getCode()

  Retrieve error code of the exception. Could be used as key for internationalization.

  Returns:
    the code.

### getInfo

    public String[] getInfo()

  Retrieve array of complementary info (context). Could be used as parameter for internationalization.

  Returns:
    the context info.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.